Subject: Re: bug#5080: indic text is not displayed correctly in emacs shell

From: Praveen A <[email-masked]>
Date: Mon, 7 Dec 2009 18:33:43 +0530

2009/12/7 Kenichi Handa <[email-masked]>:
>
> I tried but still Emacs rendered it correctly.  Could you
> try this?
>
> (1) make a file "temp.txt" that contains only this line:
> നക്ഷത്രങ്ങളും നക്ഷത്രാവശിഷ്ടങ്ങളും

done
> (2) start Emacs as this:
>   % MDEBUG_FLT=3 emacs >& log

> (3) Evalute these two lines in Emacs:
> (set-fontset-font t 'malayalam '("meera" . "unicode-bmp"))

I added the above line to ~/.emacs

started emacs as in (2)

> (insert-file "temp.txt")

C-x C-f ~/temp.txt
> (4) exit emacs

C-x C-c
> then send me the created file "log".

log file is attached.

-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
<GPLv2> I know my rights; I want my phone call!
<DRM> What use is a phone call, if you are unable to speak?
(as seen on /.)
Join The DRM Elimination Crew Now!
http://fci.wikia.com/wiki/Anti-DRM-Campaign